=== debian/control ===
Source: chiark-utils
Section: admin
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 13),
               libxdmcp-dev, libxau-dev, libice-dev, libsm-dev, libuv1-dev
Standards-Version: 4.6.1.1
Vcs-Browser: https://www.chiark.greenend.org.uk/ucgi/~ian/git/chiark-utils.git/
Vcs-Git: https://www.chiark.greenend.org.uk/ucgi/~ian/githttp/chiark-utils.git

Package: chiark-backup
Section: utils
Priority: optional
Architecture: all
Depends: chiark-rwbuffer, chiark-utils-bin, ${misc:Depends}
Suggests: chiark-utils-bin (>= 4.1.14)
Description: backup system for small systems and networks
 These are the backup scripts used by chiark.greenend.org.uk and other
 systems belonging to the Sinister Greenend Organisation.  Features:
  * Suitable for single systems and small networks.
  * Reasonably simple; they do what you tell it to.
  * Hard failures when individual systems fail, to encourage fixing !
 If you have a larger site you may wish to look at Amanda.

Package: chiark-scripts
Section: admin
Priority: optional
Conflicts: chiark-named-conf, sync-accounts
Replaces: chiark-named-conf, sync-accounts
Depends: ${misc:Depends}, libgit-wrapper-perl, libtry-tiny-perl
Recommends: libdatetime-format-strptime-perl, libio-fdpass-perl
Suggests: tcl8.6, python3, gdb
Architecture: all
Description: chiark system administration scripts
 This package contains a number of small administration scripts used
 by chiark.greenend.org.uk and other systems belonging to the Sinister
 Greenend Organisation.  Featuring:
 .
 fishdescriptor: a tool for extracting a file descriptor from
 another (non-cooperating) process and giving it to you (or
 for examining it).  Requires gdb and python3.
 .
 chiark-named-conf: a tool for managing nameserver configurations
 and checking for suspected DNS problems.  Its main functions are to
 check that delegations are appropriate and working, that secondary
 zones are slaved from the right places, and to generate a
 configuration for BIND, from its own input file.
 .
 prefork-interp Perl support (Proc::Prefork::Interp).
 .
 sync-accounts: a simple but flexible account info synchroniser.
 sync-accounts is a tool for copying un*x account data from remote
 systems and installing it locally.  It is flexible and reasonably
 straightforward, but lacks integration with other distributed
 databases such as NIS.
 .
 cvs-repomove and cvs-adjustroot: tools for moving CVS repositories
 and adjusting working trees.
 .
 palm-datebook-reminders: a program which emails mails you reminders
 about the appointments in your Palm's Datebook.
 .
 cvsweb-list: cgi program to list ucgi (userv-utils) cvsweb repos
 .
 expire-iso8601: keep or expire backup trees named after their dates
 .
 gnucap2genspic, ngspice2genspic, genspic2gnuplot: convert gnucap
 files and ngspice output files to genspic and genspic files to
 gnuplot input so they can be plotted.
 .
 hexterm: connects to serial port and allows the user interact in
 ASCII and hex.  Ie, a hex "terminal" program which lets you speak a
 serial port protocol directly.  (Needs tcl8.6 to be installed.)
 .
 git-branchmove, random-word, remountresizereiserfs,
 summarise-mailbox-preserving-privacy

Package: chiark-rwbuffer
Section: utils
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: readbuffer/writebuffer: prevents tape drive seesawing, etc.
 readbuffer and writebuffer: programs for reading input from devices,
 and writing output to, which don't like constant stopping and
 starting, such as tape drives and audio playback devices.

Package: chiark-utils-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}
Section: utils
Priority: optional
Description: chiark system administration utilities
 This package contains a number of small administration scripts used
 by chiark.greenend.org.uk and other systems belonging to the Sinister
 Greenend Organisation.  Currently featuring only:
 .
 with-lock-ex: a simple tool for acquiring a lockfile before running
 another program or script.
 .
 prefork-interp: Wrapper to speed up script startup;
 requires scripting langauge module from chiark-scripts.
 .
 summer: a tool for reporting complete details about a filesystem tree
 in a parseable format, including checksums.
 .
 xbatmon-simple: a very simple X client for displaying battery
 charge status.
 .
 xduplic-copier: a very simple X client for typing into multiple windows
 at once.
 .
 watershed: a utility for saving on superfluous executions of an
 idempotent command.  (This is the same utility as shipped separately
 in Ubuntu's udev, but with slightly different defaults and a
 different install location.)
 .
 rcopy-repeatedly: a utility for repeatedly copying a file from one
 host to another, to keep a copy constantly up to date.
 .
 acctdump: for reading process accounting files.
 .
 summer and watershed require the installation of the Recommended
 crypto libraries; xbatmon-simple needs the Suggested X libraries.
 .
 cgi-fcgi-interp: for use with cgi-fcgi as a #! interpreter

Package: chiark-really
Section: admin
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: really - a tool for gaining privilege (simple, realistic sudo)
 really is a program that allows certain users to become whatever user
 they like on request.  It is a bit like sudo in that respect.
 However, really is simpler than sudo, and doesn't give the system
 administrator any false security promises.  So really is less of a
 general security risk to the system.
 .
 Unlike sudo it does not pretend that the called account can be any
 more secure than the calling account, so there is never a need for a
 password.  If you wanted to restrict which commands and functions the
 called user can perform, use userv, not really or sudo.
 .
 Also unlike sudo, really only works if the calling user is supposed
 to be equivalent to root.  But, really can also be used by
 root-equivalent users to become any user, not just root; in this way
 it can be a replacement for certain uses of su.
