=== debian/changelog ===
chiark-utils (7.0.0build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:05 +1100

chiark-utils (7.0.0build1) noble; urgency=high

  * No change rebuild against libuv1t64, libnettle8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:34:10 +0100
