=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chiark-utils
 Section: admin
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 13),
                libxdmcp-dev, libxau-dev, libice-dev, libsm-dev, libuv1-dev
 Standards-Version: 4.6.1.1
