=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,12 @@
 d=	$(cwd)/debian
 t=	$d/tmp
 
+D_BUILDFLAGS=DEB_BUILD_MAINT_OPTIONS=future=+lfs dpkg-buildflags
+
 makebuildargs := OPTIMISE= DEBUG= \
- CMDLINE_CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
- CMDLINE_CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
- CMDLINE_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+ CMDLINE_CFLAGS="$(shell $(D_BUILDFLAGS) --get CFLAGS)" \
+ CMDLINE_CPPFLAGS="$(shell $(D_BUILDFLAGS) --get CPPFLAGS) -D_TIME_BITS=64" \
+ CMDLINE_LDFLAGS="$(shell $(D_BUILDFLAGS) --get LDFLAGS)"
 
 build:
 	$(checkdir)
