=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 makebuildargs := OPTIMISE= DEBUG= \
  CMDLINE_CFLAGS="$(shell $(D_BUILDFLAGS) --get CFLAGS)" \
- CMDLINE_CPPFLAGS="$(shell $(D_BUILDFLAGS) --get CPPFLAGS) -D_TIME_BITS=64" \
+ CMDLINE_CPPFLAGS="$(shell $(D_BUILDFLAGS) --get CPPFLAGS) -D_TIME_BITS=64 -D_FILE_OFFSET_BITS=64" \
  CMDLINE_LDFLAGS="$(shell $(D_BUILDFLAGS) --get LDFLAGS)"
 
 build:
