## chiark-utils 8.0.0

=== sync-accounts/Makefile ===
--- 
+++ 
@@ -19,12 +19,13 @@
 # with this program; if not, consult the Free Software Foundation's
 # website at www.fsf.org, or the GNU Project website at www.gnu.org.
 
+SYSTEM_USER=	root
 SYSTEM_GROUP=	root
 
 INSTALL=		install -c
-INSTALL_SHARE=		$(INSTALL) -m 644 -o root -g $(SYSTEM_GROUP)
-INSTALL_SCRIPT=		$(INSTALL) -m 755 -o root -g $(SYSTEM_GROUP)
-INSTALL_DIRECTORY=	$(INSTALL) -m 2755 -o root -g $(SYSTEM_GROUP) -d
+INSTALL_SHARE=		$(INSTALL) -m 644 -o $(SYSTEM_USER) -g $(SYSTEM_GROUP)
+INSTALL_SCRIPT=		$(INSTALL) -m 755 -o $(SYSTEM_USER) -g $(SYSTEM_GROUP)
+INSTALL_DIRECTORY=	$(INSTALL) -m 2755 -o $(SYSTEM_USER) -g $(SYSTEM_GROUP) -d
 
 prefix=/usr/local
 bindir=$(prefix)/bin
