## chiark-utils 8.0.1

=== cprogs/Makefile ===
--- 
+++ 
@@ -93,7 +93,7 @@
 		$(INSTALL_DIRECTORY) $(bindir) $(sbindir)
 		$(INSTALL_PROGRAM) $(PROGRAMS) $(bindir)
 		$(INSTALL_PROGRAM) $(DAEMONS) $(sbindir)
-		$(INSTALL) -m 4774 -o root -g $(SYSTEM_GROUP) \
+		$(INSTALL) -m 4774 -o $(SYSTEM_USER) -g $(SYSTEM_GROUP) \
 			$(SUIDSBINPROGRAMS) $(sbindir)
 
 install-docs:	$(TXTDOCS)
