=== debian/changelog ===
chiark-utils (8.0.1) unstable; urgency=medium

  * Fix xbatmon-simple compatibility with kernel 6.12.35, which reports
    negative POWER_SUPPLY_CHARGE_FULL resulting in alarming entirely-red
    display.  Closes: #1109342.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 15 Jul 2025 17:05:42 +0100
