## chiark-utils 8.0.1build1

=== debian/changelog ===
chiark-utils (8.0.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:20:34 +0100
